import { type ComponentProps } from 'react'

import { type RootStylesProps, rootStyles } from './Item.styles'

type ItemProps = ComponentProps<'div'> & RootStylesProps

function FormItem({ layout, className, ...props }: ItemProps) {
	return <div className={rootStyles({ layout, className })} {...props} />
}

export { FormItem }
